<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Modal</title>
  <link rel="stylesheet" href="style.css" link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Josefin+Sans:wght@300&family=Teko&display=swap" rel="stylesheet">
</head>

<body>
  <label class="btn" for="modal-1">Открыть</label>
  <div class="modal">
    <input class="modal-open" id="modal-1" type="checkbox" hidden>
    <div class="modal-wrap" aria-hidden="true" role="dialog">
      <label class="modal-overlay" for="modal-1"></label>
      <div class="modal-dialog">
        <div class="modal-header">
          <h1>This is a modal 1</h1>
          <label class="btn-close" for="modal-1" aria-hidden="true">×</label>
        </div>
        <div class="modal-body">
          <h2>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas eleifend ut elit ullamcorper hendrerit.
            Pellentesque tincidunt lectus nec lacus posuere consequat. Pellentesque habitant morbi tristique senectus et
            netus et malesuada fames ac turpis egestas. Vivamus cursus sapien nec mi posuere, efficitur congue augue
            placerat. Maecenas ornare dolor vitae nunc pretium, sit amet fermentum magna mollis. In malesuada mauris non
            sollicitudin pretium. Mauris vitae luctus urna, id luctus libero. Pellentesque suscipit quam mauris, sed
            mattis nisl cursus quis. Suspendisse eu dictum mauris. Ut eu dapibus dolor. Aliquam sit amet ipsum a enim
            pharetra ultrices a eget mi.</h2>
        </div>
        <div class="modal-footer">
          <label class="btn btn-primary" for="modal-1">Accept</label>
          <label class="btn btn-primary2" for="modal-1">Decline</label>

        </div>
      </div>
    </div>
  </div>
</body>

</html>